---
title: DataView.prototype.getFloat64()
slug: Web/JavaScript/Reference/Global_Objects/DataView/getFloat64
tags:
  - DataView
  - JavaScript
  - Method
  - Prototype
  - TypedArrays
---
<div>{{JSRef}}</div>

<p>The <strong><code>getFloat64()</code></strong> method gets a signed 64-bit float (double) at the specified byte offset from the start of the {{jsxref("DataView")}}.</p>

<div>{{EmbedInteractiveExample("pages/js/dataview-getfloat64.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>dataview</var>.getFloat64(<var>byteOffset</var> [, <var>littleEndian</var>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>byteOffset</var></code></dt>
 <dd>The offset, in byte, from the start of the view where to read the data.</dd>
 <dt><code><var>littleEndian</var></code></dt>
 <dd>{{optional_inline}} Indicates whether the 64-bit float is stored in {{Glossary("Endianness", "little- or big-endian")}} format. If <code>false</code> or <code>undefined</code>, a big-endian value is read.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A signed 64-bit float number.</p>

<h3 id="Errors_thrown">Errors thrown</h3>

<dl>
 <dt>{{jsxref("RangeError")}}</dt>
 <dd>Thrown if the <code>byteOffset</code> is set such as it would read beyond the end of the view.</dd>
</dl>

<h2 id="Description">Description</h2>

<p>There is no alignment constraint; multi-byte values may be fetched from any offset.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_the_getFloat64_method">Using the getFloat64 method</h3>

<pre class="brush:js notranslate">var buffer = new ArrayBuffer(8);
var dataview = new DataView(buffer);
dataview.getFloat64(0); // 0
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-dataview.prototype.getfloat64', 'DataView.prototype.getFloat64')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.DataView.getFloat64")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("DataView")}}</li>
 <li>{{jsxref("ArrayBuffer")}}</li>
</ul>
